﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="App1.View.LoginPage">
    <StackLayout x:Name="MasterLayout">
        <StackLayout x:Name="LogoStack" VerticalOptions="FillAndExpand">
            <Image x:Name="LoginIcon" Source="qqq.png" Margin="0,80,0,0"/>
        </StackLayout>

        <StackLayout x:Name="LoginEntris" VerticalOptions="StartAndExpand" Padding="40,0,40,0">

            <Entry x:Name="Login_Username" Placeholder="Username" Keyboard="Email"/>
           
            <StackLayout >
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*" />

                    </Grid.ColumnDefinitions>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="*" />
                    </Grid.RowDefinitions>
                    <Entry x:Name="Login_password" Placeholder="Password" IsPassword="true" Grid.Column="0" Grid.Row="0"/>
                    <Button  x:Name="visibility_button" HorizontalOptions="End"  Margin="0,0,2,9" HeightRequest="28" WidthRequest="36" Clicked="visibility_button_Clicked"
                             BackgroundColor="White"  Image="ic_visibility_black_24dp.png"
                             Grid.Column="0" Grid.Row="0" 
                             BorderWidth="0" BorderColor="White" 
                             />

                </Grid>

            </StackLayout>


            <Button x:Name="Btn_Signin" BorderRadius="30" Text="Login" Clicked="Sign_In_Procedure"/>
             
            <Label Text=" ___________ Or ___________" TextColor="Black" FontSize="20" HorizontalTextAlignment="Center" HorizontalOptions="Center"/>
            <Button x:Name="Btn_NewAccount" Text="Create new account" Clicked="New_Account" />
            <ActivityIndicator x:Name="Spiner" HorizontalOptions="Center" Color="Black" />

        </StackLayout>
    </StackLayout>
</ContentPage>